package com.atlassian.bitbucket.mesh.repository;

import javax.annotation.Nonnull;

/**
 * Event raised when the transcoding diff setting for a repository is changed.
 */
public class TranscodeDiffSettingChangedEvent extends RepositoryEvent {

    private final boolean enabled;

    public TranscodeDiffSettingChangedEvent(@Nonnull Repository repository, boolean enabled) {
        super(repository);

        this.enabled = enabled;
    }

    public boolean isEnabled() {
        return enabled;
    }
}
